요구사항


지니PHP는 윈도우, 맥환경에서 직접설치하여 개발환경을 구축할 수 있습니다.
물론 실제 운영중인 리눅스와 같은 서버에 설치하여 동작을 시킬 수도 있습니다.

하지만, 먼저 로컬 개발환경을 구축후에 배포 형태로 사이트를 운영하는 것이 좋습니다.


PHP설치


지니PHP 를 설치하기 위해서는 PHP 7.0 이상의 버전을 컴퓨터에 설치하셔야 합니다.
낮은 버전은 PHP 최신 문법 적용을 받지 않아, 오류가 발생할 수도 있습니다.
PHP설치는 공식 PHP.net 사이트 보다는 비트나미의 WAPM, MAPM 을 다운로드 받아 설치하는 것을 추천합니다.


컴포저


지니PHP는 PHP의 페키징 기술을 같이 응용하여 개발되어진 프래임워크입니다.
또한 지니PHP의 많은 기능들은 별도의 패키지로 만들어져서 같이 배포를 하고 있습니다.
컴포저는 PHP의 패키지 관리 소프트웨어로 https://getcomposer.org 에서 무료로 다운로드 받아 설치를 하실 수 있습니다.

자신의 운영체제 환경에 맞게 윈도우, 맥용 버전을 설치할 수 있습니다.


설치


지니PHP는 3가지 방식으로 프레임워크를 설치할 수 있습니다.
설치관리자를 이용하는 방법 이외에도 직접 컴포저-프로젝트를 이용하여 다운로드 받을 수 있습니다.
깃허브의 공개 저장소를 복제하여 현재 개발중인 상태의 코드로도 설치를 할 수 있습니다.